/*
    This file is part of the kggzcore library.
    Copyright (c) 2008 Josef Spillner <josef@ggzgamingzone.org>

    This library is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) any later version.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.
*/

#include "player.h"

using namespace KGGZCore;

Player::Player(QString name, PlayerType type)
: QObject()
{
	m_name = name;
	m_type = type;
}

Player::Player(const Player& player)
: QObject()
{
	init(player);
}

Player& Player::operator=(const Player& player)
{
	init(player);
	return *this;
}

void Player::init(const Player& player)
{
	m_type = player.type();
	m_name = player.name();
}

Player::~Player()
{
}

QString Player::name() const
{
	return m_name;
}

Player::PlayerType Player::type() const
{
	return m_type;
}

